AppController_getMicroblocks
GET/api/v1/microblocks
AppController_getMicroblocks
Request
Query Parameters
order string
Possible values: [ASC, DESC]
Default value: ASC
Sort order
offset number
How many results to skip (for pagination)
limit number
Maximum number of results
sort string
Possible values: [height, blockHeight]
Field on which the sort is applied
hash string
Block hash
block_height number
Block height
vb_id string
Virtual blockchain ID
include_content boolean
Flag to include the microblock content in the response
Responses
- 200
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
hasMore booleanrequired
Set to 'true' if more results are available.
totalRecords number
Total number of available records. Returned only when 'offset' is used in the query.
items
object[]
required
hash stringrequired
blockHeight numberrequired
virtualBlockchainId stringrequired
type numberrequired
height numberrequired
size numberrequired
gas numberrequired
gasPrice numberrequired
Expressed in atomics
content string
Base64 representation of the microblock content. Returned only if 'include_content' was set to true.
{
"hasMore": true,
"totalRecords": 0,
"items": [
{
"hash": "string",
"blockHeight": 0,
"virtualBlockchainId": "string",
"type": 0,
"height": 0,
"size": 0,
"gas": 0,
"gasPrice": 0,
"content": "string"
}
]
}
Loading...